//======================================================================
// Copyright (C) 2002 Daniel Heck
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//  
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//  
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
//======================================================================

#ifndef VIDEO_HH_INCLUDED
#define VIDEO_HH_INCLUDED

#include "px/pxfwd.hh"

namespace video
{
    void Init();
    void Shutdown();

    px::Screen *GetScreen();
    void ToggleInputgrab();
    void ToggleFullscreen();
    void SetCaption(const char *str);

    //
    // Mouse cursor
    // 
    void SetMouseCursor(px::Surface *s, int hotx, int hoty);
    void HideMouse();
    void ShowMouse();
    int Mousex();
    int Mousey();

    //
    // Visual effects
    //
    enum FadeMode { FADEIN, FADEOUT };
    void Fade(FadeMode mode);

    void Screenshot(const char *fname);
    void DisplayTextCentered(const char *fontname, 
                             const char *text);
}

#endif
